> ## Documentation Index
> Fetch the complete documentation index at: https://docs.new-gen.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product

> Retrieve a specific product using either ID.

## Get Product by ID

```bash theme={null}
curl GET /api/v1/products/:id
```

Retrieve a product by its ID.

### Path Parameters

| Parameter | Type   | Description |
| --------- | ------ | ----------- |
| id        | string | Product ID  |

### Query Parameters

| Parameter          | Type    | Description                                          |
| ------------------ | ------- | ---------------------------------------------------- |
| include\_raw\_data | boolean | Include raw html/json data from pdp (default: false) |

### Response Object

```json theme={null}
{
    "pdp": {
        "id": string,
        "url": string,
        "name": string,
        "desc": string,
        "media": [
            {
                "url": string,
                "type": string
            }
        ],
        "brands": [string],
        "price_label": string,
        "raw_data": {
            "strippedHtml": string,
            "jsons": {
                "ld_json": { data },
                "props_data": { data }
            }
        }
    }
}
```
